summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/hal-flash/README7
-rw-r--r--system/hal-flash/hal-flash.SlackBuild105
-rw-r--r--system/hal-flash/hal-flash.info10
-rw-r--r--system/hal-flash/slack-desc19
4 files changed, 141 insertions, 0 deletions
diff --git a/system/hal-flash/README b/system/hal-flash/README
new file mode 100644
index 0000000000..e00a6ada9a
--- /dev/null
+++ b/system/hal-flash/README
@@ -0,0 +1,7 @@
+HAL is a hardware abstraction layer that is no longer used on modern
+Linux systems - with the advent of tools such as UDev and UDisks the
+same and improved functionality is provided by other means.
+The flash plugin currently requires libhal for playback of DRM
+content. This library provides a compatibility layer and minimal
+libhal implementation for that purpose. This library does NOT
+provide a full HAL interface or daemon.
diff --git a/system/hal-flash/hal-flash.SlackBuild b/system/hal-flash/hal-flash.SlackBuild
new file mode 100644
index 0000000000..a93b051b78
--- /dev/null
+++ b/system/hal-flash/hal-flash.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for hal-flash.
+
+# Copyright 2013 Mathew Holleran.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=hal-flash
+VERSION=${VERSION:-0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+if [ -e $CWD/v$VERSION.tar.gz ]; then
+ tar xvf $CWD/v$VERSION.tar.gz
+else
+ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+fi
+cd $PRGNAM-${VERSION}
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+libtoolize && autoreconf -vif
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ --with-pic \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/${PRGNAM}-${VERSION} \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/hal-flash/hal-flash.info b/system/hal-flash/hal-flash.info
new file mode 100644
index 0000000000..60d1882fea
--- /dev/null
+++ b/system/hal-flash/hal-flash.info
@@ -0,0 +1,10 @@
+PRGNAM="hal-flash"
+VERSION="0.1"
+HOMEPAGE="https://github.com/cshorler/hal-flash"
+DOWNLOAD="https://github.com/cshorler/hal-flash/archive/v0.1.tar.gz"
+MD5SUM="0b44c2521c2a58fca5fed817e565c0d7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Mathew Holleran"
+EMAIL="mathew.holleran@gmail.com"
diff --git a/system/hal-flash/slack-desc b/system/hal-flash/slack-desc
new file mode 100644
index 0000000000..631ac2f52d
--- /dev/null
+++ b/system/hal-flash/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+hal-flash: libhal-flash (HAL stub library for playing DRM flash content)
+hal-flash:
+hal-flash: HAL is a hardware abstraction layer that is no longer used on modern
+hal-flash: Linux systems - with the advent of tools such as UDev and UDisks the
+hal-flash: same and improved functionality is provided by other means.
+hal-flash: The flash plugin currently requires libhal for playback of DRM
+hal-flash: content. This library provides a compatibility layer and minimal
+hal-flash: libhal implementation for that purpose. This library does NOT
+hal-flash: provide a full HAL interface or daemon.
+hal-flash:
+hal-flash: https://github.com/cshorler/hal-flash